This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 239427 - Swap initialization during install to HDD
Swap initialization during install to HDD
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-08 08:14 EDT by Sai Kiran Kanuri
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-15 11:03:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sai Kiran Kanuri 2007-05-08 08:14:29 EDT
Description of problem:

When installing to Hard disk from Live CD, after partitioning, if the swap
partition is not selected for formatting, installation fails 


Version-Release number of selected component (if applicable):
Fedora 7 test 4

How reproducible:
every time on my PC.
 

Steps to Reproduce:
1. Select install into hard drive. 
2. Already you pc should have a SWAP partition.
3. Do not select the SWAP partition for formatting. 
  
Actual results:
Installation is aborted

Expected results:
The installation should automatically initialize SWAP

Additional info:
Comment 1 Jeremy Katz 2007-05-14 14:52:35 EDT
What was previously on the swap?  We'll initialize it if you say to format it,
but if you explicitly go in and say "don't format", then we don't.
Comment 2 Sai Kiran Kanuri 2007-05-15 01:25:58 EDT
It is used as Swap for my Previous FC6. 
what i would prefer is, anaconda detects the swap and automatically initialize
it for me, unless i explicitly say no.
Is it necessary for the swap to be formatted every time i install a OS. is it
not the same for every version for all versions. I am aware of only two versions
of SWAP FS. Almost all versions use version two by default. 
Comment 3 Jeremy Katz 2007-05-15 11:03:18 EDT
There are a few reasons that can lead to the swap not being properly formatted;
explicitly saying not to format it definitely can lead to problems (and there's
no reason not to, hence why we do so by default).

Note You need to log in before you can comment on or make changes to this bug.